# HOBBITFETCH

Section: Maintenance Commands (8)
Updated: Version 4.2.2: 15 Dec 2008
Index Return to Main Contents

## NAME

hobbitfetch - fetch client data from passive clients

## SYNOPSIS

hobbitfetch [--server=HOBBIT.SERVER.IP] [options]

## DESCRIPTION

This utility is used to collect data from Xymon clients.

Normally, Xymon clients will themselves take care of sending all of their data directly to the Xymon server. In that case, you do not need this utility at all. However, in some network setups clients may be prohibited from establishing a connection to an external server such as the Xymon server, due to firewall policies. In such a setup you can configure the client to store all of the client data locally by enabling the msgcache(8) utility on the client, and using hobbitfetch on the Xymon server to collect data from the clients.

hobbitfetch will only collect data from clients that have the pulldata tag listed in the bb-hosts(5) file. The IP-address listed in the bb-hosts file must be correct, since this is the IP-address where hobbitfetch will attempt to contact the client. If the msgcache daemon is running on a non-standard IP-address or portnumber, you can specify the portnumber as in pulldata=192.168.1.2:8084 for contacting the msgcache daemon using IP 192.168.1.2 port 8084. If the IP-address is omitted, the default IP in the bb-hosts file is used. If the port number is omitted, the portnumber from the BBPORT setting in hobbitserver.cfg(5) is used (normally, this is port 1984).

## OPTIONS

--server=HOBBIT.SERVER.IP
  Defines the IP address of the Xymon server where the collected client messages are forwarded to. By default, messages are sent to the loopback address 127.0.0.1, i.e. to a Xymon server running on the same host as hobbitfetch.

--interval=N
  Sets the interval (in seconds) between polls of a client. Default: 60 seconds.

--id=N
  Used when you have a setup with multiple Xymon servers. In that case, you must run hobbitfetch on each of the Xymon servers, with hobbitfetch instance using a different value of N. This allows several Xymon servers to pick up data from the clients running msgcache, and msgcache can distinguish between which messages have already been forwarded to which server.
  N is a number in the range 1-31.

--log-interval=N
  Limit how often hobbitfetch will log problems with fetching data from a host, in seconds. Default: 900 seconds (15 minutes). This is to prevent a host that is down or where msgcache has not been started from flooding the hobbitfetch logs. Note that this is ignored when debugging is enabled.

--debug
  Enable debugging output.

## SEE ALSO

msgcache(8), hobbitd(8), xymon(7)

## Index

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
SEE ALSO

This document was created by man2html, using the manual pages.
Time: 12:54:30 GMT, December 15, 2008